Presign Document
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports/{importId}/documents/presign \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "<string>",
"expectedVersion": 123,
"fileName": "<string>",
"sizeBytes": 536870912,
"sha256": "<string>"
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports/{importId}/documents/presign"
payload = {
"projectId": "<string>",
"expectedVersion": 123,
"fileName": "<string>",
"sizeBytes": 536870912,
"sha256": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: '<string>',
expectedVersion: 123,
fileName: '<string>',
sizeBytes: 536870912,
sha256: '<string>'
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports/{importId}/documents/presign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"documentId": "<string>",
"url": "<string>",
"fields": {}
}Data Imports
Presign Document
POST
/
v1
/
workspaces
/
{workspaceId}
/
assistant
/
imports
/
{importId}
/
documents
/
presign
Presign Document
Path Parameters
Pattern:
^[1-9]\d*$Pattern:
^[1-9]\d*$Body
application/json
Pattern:
^[1-9]\d*$Required range:
x <= 9007199254740991Required string length:
1 - 255Pattern:
\.(xlsx|pdf)$Available options:
application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/pdf, application/octet-stream Required range:
1 <= x <= 1073741824Pattern:
^[a-f0-9]{64}$⌘I